Skip to main content
POST
Create SDK key

Authorizations

Authorization
string
header
required

Headers

LD-API-Version
enum<string>
required

Version of the endpoint.

Available options:
beta

Path Parameters

projectKey
string
required
environmentKey
string
required

Body

application/json

Parameters for creating a new SDK key

key
string
required

The user-defined key of the SDK key.

name
string
required

The human-readable name of the SDK key.

kind
enum<string>
default:sdk

The kind of SDK key. Can be either "sdk" (server-side) or "mobile" (mobile). Defaults to "sdk" when not explicitly defined.

Available options:
sdk,
mobile
description
string

The optional description of the SDK key.

expiry
integer<int64>
viewKeys
string[]

List of view keys to associate with the SDK key.

Response

SDK key created

kind
enum<string>
required

The kind of SDK key. Can be either "sdk" (server-side) or "mobile" (mobile).

Available options:
sdk,
mobile
key
string
required

The user-defined identifying key of the SDK key. This is used solely to identify an SDK key and is distinct from the value field, which is the actual SDK key value.

name
string
required

The human-readable name of the SDK key.

value
string
required

The string value of the SDK key. Use this when configuring your SDK.

isDefault
boolean
required

Indicates if this SDK key is the system-defined default for the environment. There may also be an expiring default SDK key for the environment (not possible with mobile keys).

_createdAt
integer<int64>
required
_updatedAt
integer<int64>
required
_version
integer
required

The auto-incremented version number of the SDK key.

The location and content type of related resources

Example:
description
string

The optional description of the SDK key.

expiry
integer<int64>
_createdByMemberId
string

The ID of the member who created the SDK key. This field is immutable.